<!-- Generated template for the NotifyComponent component -->
<ng-content *ngIf="!offline && !type"></ng-content>
<ion-row *ngIf="type || offline">
  <ion-col col-12 class="loading">
    <div *ngIf="!offline && type == LOADING">
      <ion-label text-center>{{message}}</ion-label>
      <ion-spinner name="dots"></ion-spinner>
    </div>
    <div *ngIf="offline" class="offline">
      <ion-icon  name="md-alert" text-center></ion-icon>
      <ion-label text-center>A conexão á internet talvez esteja inativa.</ion-label>
      <button ion-button text-center clear full (tap)="call()">Tentar novamente</button>
    </div>
    <div *ngIf="!offline && type == WARNING" class="offline">
      <ion-icon  name="md-alert" text-center></ion-icon>
      <ion-label text-center>{{ message }}</ion-label>
      <button ion-button text-center clear full (tap)="call();">Tentar novamente</button>
    </div>
    <div *ngIf="!offline && type == NOTFOUND" class="notfound">
      <img src="./assets/img/ic_empty_list.png">
      <ion-label text-center>{{ message || 'Nada foi encontrado' }}</ion-label>
    </div>
  </ion-col>
</ion-row>
